aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig
diff options
context:
space:
mode:
authorSofer Athlan-Guyot <chem@sathlan.org>2016-08-18 10:55:34 +0200
committerAthlan-Guyot sofer <sathlang@redhat.com>2016-08-26 17:56:20 +0000
commita6962e751f23598dd8a637965a8b55793a3dc3c0 (patch)
tree5e67644c44208d9fa284b38d4d11eda0ef5f3a92 /extraconfig
parent3fe6c1aa1cca3be8ee20cbbcdf9b807d11a97dcf (diff)
Fix check of rpm-python.
There is a typo in the code, making this test always successful. Closes-Bug: 1614437 Change-Id: Ia6b0b156294de9fcb8f66fc46aa8801555775a56
Diffstat (limited to 'extraconfig')
-rwxr-xr-xextraconfig/tasks/major_upgrade_controller_pacemaker_1.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/extraconfig/tasks/major_upgrade_controller_pacemaker_1.sh b/extraconfig/tasks/major_upgrade_controller_pacemaker_1.sh
index d67d5a1a..26a3c8f1 100755
--- a/extraconfig/tasks/major_upgrade_controller_pacemaker_1.sh
+++ b/extraconfig/tasks/major_upgrade_controller_pacemaker_1.sh
@@ -18,7 +18,7 @@ STONITH_STATE=$(pcs property show stonith-enabled | grep "stonith-enabled" | awk
pcs property set stonith-enabled=false
# If for some reason rpm-python are missing we want to error out early enough
-if [ ! rpm -q rpm-python &> /dev/null ]; then
+if ! rpm -q rpm-python &> /dev/null; then
echo_error "ERROR: upgrade cannot start without rpm-python installed"
exit 1
fi